classification
Title: Tab indent no longer works in interpreter
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder: rlcompleter: tab on empty prefix => insert spaces
View: 23441
Assigned To: Nosy List: Azendale, Ishan.Khare, caffhuang, ezio.melotti, martin.panter, pitrou, r.david.murray, terry.reedy, yaubi
Priority: normal Keywords:

Created on 2014-07-26 17:34 by Azendale, last changed 2015-06-13 20:07 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
py34.png caffhuang, 2014-08-13 23:28 on "..." prompt line, when press tag
Messages (6)
msg224081 - (view) Author: Erik Andersen (Azendale) Date: 2014-07-26 17:34
Please see http://bugs.python.org/issue5845, especially the last two comments: http://bugs.python.org/issue5845#msg215784, which requested that a new bug report be opened for this issue.

To summarize, the previous bug was to enable tab completion in the interpreter. There was discussion and it was figured out that it could be arranged that tab indentation and completion could work at the same time. (If you are at the start of a line, possibly a "... " prompt line, tab should indent. If you are to the right of any non-whitespace character, then you should tab complete).

From the other bug:

"This issue [tab indent] should have gone back to being a release blocker after the alpha release to fix the tab-as-indent issue, but obviously that didn't happen (I forgot about it myself).  Please open a new issue requesting a fix for this bug (that tab doesn't work as indent at the ... prompt), referencing the discussion in this issue."
msg224524 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-08-01 22:38
This is a *nix issue only, as tab completion is not active on Windows (except with Idle).
msg225289 - (view) Author: caff huang (caffhuang) Date: 2014-08-13 23:28
It happens on my Windows 7 x64, Python 3.4.1, command shell. (IDLE works fine).
msg234911 - (view) Author: Ishan Khare (Ishan.Khare) Date: 2015-01-28 20:01
what is the current state of this issue, reading the http://bugs.python.org/issue5845 and its changesets, it seems that all the changes that were made during that issue no longer exists, like:
fix-5845.diff -> adds a function named enablerlcompleter (as specified in diff) in file Lib/site.py , which i cannot find in current Lib/site.py (https://hg.python.org/cpython/file/1addc4f0f10c/Lib/site.py)
msg235736 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-02-11 11:06
Patch at Issue 23441
msg245327 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-06-13 20:07
In between this issue being opened and that fact being noted on the original issue, issue 23441 was opened, and I noticed that one and set it to release blocker.  That issue has a patch, as noted, so I'm closing this one as a duplicate.
History
Date User Action Args
2015-06-13 20:07:46r.david.murraysetstatus: open -> closed

superseder: rlcompleter: tab on empty prefix => insert spaces

nosy: + r.david.murray
messages: + msg245327
resolution: duplicate
stage: needs patch -> resolved
2015-02-11 11:06:58martin.pantersetnosy: + martin.panter
messages: + msg235736
2015-01-28 20:01:32Ishan.Kharesetnosy: + Ishan.Khare
messages: + msg234911
2014-08-13 23:28:31caffhuangsetfiles: + py34.png
nosy: + caffhuang
messages: + msg225289

2014-08-01 22:38:10terry.reedysetnosy: + terry.reedy
messages: + msg224524
2014-07-29 11:42:37ezio.melottisetnosy: + ezio.melotti
stage: needs patch

versions: + Python 3.5
2014-07-29 11:04:20serhiy.storchakasetnosy: + pitrou
2014-07-29 02:58:55yaubisetnosy: + yaubi
2014-07-26 17:34:20Azendalecreate